#include <iostream>

using namespace std;

int main()
{
    int n;
    int m;
    cin >> n >> m;
    int donja[n+1];
    int gornja[n+1];
    for (int i=1; i<=n; i++)
    {
        cin >> donja[i];
        cin >> gornja[i];
    }
    int prviindeks[m];
    int drugiindeks[m];
    int x[m];
    for (int i=0; i<m; i++)
    {
        cin >> prviindeks[i];
        cin >> drugiindeks[i];
        cin >> x[i];
    }

    for (int i=0; i<m; i++)
    {
        int da=0;
        for (int j=prviindeks[i]; j<=drugiindeks[i]; j++)
        {
            if (donja[j]<=x[i] && gornja[j]>=x[i])
            {
                da++;
            }
        }
        cout << da << endl;
    }
}